Show / Hide Table of Contents

# Class GZFilePrinter

A LogPrinter abstract class that provides the utilities to write to a GZip file.

##### Inheritance

Object
LogPrinter
GZFilePrinter
GlobalLogFilePrinter
PluginLogFilePrinter
PluginSubLogPrinter

##### Implements

IDisposable

##### Inherited Members

LogPrinter.Filter
LogPrinter.Print(Logger.Level, DateTime, String, String)
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Logging.Printers

###### Assembly: IPA.Loader.dll

##### Syntax

    public abstract class GZFilePrinter : LogPrinter, IDisposable

### Fields

| Improve this Doc View Source

#### FileWriter

The StreamWriter that writes to the GZip file.

##### Declaration

    protected StreamWriter FileWriter

##### Field Value

Type | Description
--- | ---
StreamWriter | the writer to the underlying filestream

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

Disposes the file printer.

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
Boolean | disposing | does nothing

| Improve this Doc View Source

#### EndPrint()

Called at the end of any print session.

##### Declaration

    public override sealed void EndPrint()

##### Overrides

LogPrinter.EndPrint()
| Improve this Doc View Source

#### GetFileInfo()

Gets the FileInfo for the file to write to.

##### Declaration

    protected abstract FileInfo GetFileInfo()

##### Returns

Type | Description
--- | ---
FileInfo | the file to write to

| Improve this Doc View Source

#### StartPrint()

Called at the start of any print session.

##### Declaration

    public override sealed void StartPrint()

##### Overrides

LogPrinter.StartPrint()

### Implements

System.IDisposable

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])